# jEdit 2.6 User's Guide

Next, Prev

# Appendix C. Command Line Usage

This appendix has nothing to do with the "jEdit command line" (the text field at the bottom of each view). For more information about that, see the section called The jEdit Command Line in Chapter 4.

When jEdit is started, it opens any files specified at your operating system's command line, and parses options. An option is a command line argument that begins with "-". If you actually want to open a file whose name begins with "-", specify "- -" on the command line before the file name. The "- -" switch makes jEdit ignore any remaining command line switches and interpret them as file names.

When opening files from the command line, you can specify a line number or marker to position the caret on, like in the following example:

    $ jedit MyApplet.java +line:10
    $ jedit thesis.tex +marker:chapter5

Table C-1. Table of command line switches

Switch | Effect
--- | ---
-background | Runs jEdit in background mode. In background mode, an initial view will not be created; instead, jEdit will wait for client connections. Also, in background mode, closing all views will not exit jEdit. To exit a backgrounded instance, you must invoke File>Exit.
-gui | Normally, when run in background mode, jEdit will not create the initial view. This switch will force one to be created.
-noserver | Disables the edit server. Does not attempt to connect to the server, and does not start one either. Can be used to force another instance of jEdit to start if one is already running.
-nosession | jEdit will not attempt to load a saved session. Session saving can be disabled permanently in the General pane of the Utilities>Global Options dialog box. Has no effect when connecting to another instance via the edit server.
-nosettings | Starts jEdit without loading user-specific settings. This can be used if they are corrupt for some reason, or if a plugin installed in your plugins directory is causing problems. Has no effect when connecting to another instance via the edit server.
-nosplash | Starts jEdit without displaying the splash screen. This has several uses; first of all, if you start jEdit from your `.xinitrc` or whatever on Unix, it might be undesirable for the splash screen to appear every time you log in. Another reason this might be used is if you want jEdit to start slightly faster (not much faster; about half a second). Has no effect when connecting to another instance via the edit server.
-reuseview | Only valid when connecting to another instance. When this switch is specified, instead of creating a new view, jEdit will open the files in the first existing view.
-server=`name` | Stores the server port info in the file named `name`, rather than the default `server` (file names for this parameter are relative to the settings directory, `$HOME/.jedit` by default). Can be used to start more than one instance of jEdit.
-session=`name` | Loads a previously-saved session from ``user.home`/.jedit/sessions/`name``. Sessions can be saved with the File>Save Session command; see the section called Editor Sessions in Chapter 4 for details.
-settings=`dir` | Loads and saves the user-specific settings from the directory named `dir`, instead of the default ``user.home`/.jedit`. `dir` will be created if it does not exist. Has no effect when connecting to another instance via the edit server.
-usage | Prints a brief command line usage message and exits. This is also shown if an invalid switch was specified.
-version | Prints the jEdit version number and exists.
- - | Specifies the end of the command line switches. Further parameters are treated as file names, even if they begin with a dash. Can be used to open files whose names start with a dash, and so on.

Home
Prev: History Text Fields
Next: The Edit Server